function shiftLight(){}

shiftLight.prototype.initialize = function(){
    this.canvas = $('<canvas height="53px"></canvas>').appendTo(this.rootElement).addClass('shiftDivOff')
    this.canvas.width = 50;
    this.canvas.height = 50;

    this.loaded = false;
};

shiftLight.prototype.update = function (streams) {

    var rpm = toInt(streams.engineInfo[4]);
    var rpmMax = streams.engineInfo[1];
    var rpmReg = streams.engineInfo[0];

    var canvas = this.canvas[0];
    var light = canvas.getContext('2d');

    light.clearRect(0,0,500,500);

    var rgba='RGBA';

    if(rpm < rpmReg*1.25) {
        rgba+='(200,200,200,0.5)';
    } else if(rpm > rpmMax*0.9) {
        rgba+='(255,0,0,1)';
    } else {
        rgba+='(200,200,200,0.5)';
    }
    light.fillStyle = rgba;

    //Make the bar
    light.fillRect(0,0,500,500);


};
